# OneToManyLinked Class Reference
[IdentifiableObject collections handlers]

Inheritance diagram for OneToManyLinked:
[legend]

List of all members.

## Public Member Functions

| __construct (Identifiable $parent, GenericDAO $dao, $lazy=true)
| getChildIdField ()
| isUnlinkable ()
| getHelperTable ()

## Detailed Description

Definition at line 15 of file OneToManyLinked.class.php.

## Constructor & Destructor Documentation

OneToManyLinked::__construct | ( | Identifiable $ | parent,
|  | GenericDAO $ | dao,
|  | $ | lazy = `true` |
| ) |  |  |

Reimplemented from UnifiedContainer.

Definition at line 17 of file OneToManyLinked.class.php.

References UnifiedContainer::$lazy, and UnifiedContainer::$worker.

## Member Function Documentation

OneToManyLinked::getChildIdField | ( |  | ) |

Reimplemented from UnifiedContainer.

Definition at line 31 of file OneToManyLinked.class.php.

OneToManyLinked::getHelperTable | ( |  | ) |

Definition at line 41 of file OneToManyLinked.class.php.

OneToManyLinked::isUnlinkable | ( |  | ) |

Definition at line 36 of file OneToManyLinked.class.php.

The documentation for this class was generated from the following file:

- main/UnifiedContainer/OneToManyLinked.class.php